kiltum (kiltum) wrote,
kiltum
kiltum

ну-с, раз оперсоурсе, то вот мой первый пач к vzyum. Маленький, но крови много сьел.

[root@back root]# diff -u /usr/bin/vzyum /usr/bin/vzyum.orig
--- /usr/bin/vzyum      2006-09-06 15:13:12.000000000 +0100
+++ /usr/bin/vzyum.orig 2006-09-06 15:12:41.000000000 +0100
@@ -39,7 +39,7 @@
        "you should start it first"
 get_ve_os_template $VEID || abort "Can't get OSTEMPLATE for VPS $VEID"
 TEMPLATE=`get_vz_var TEMPLATE`
-OST=`ost2full $OSTEMPLATE` || abort "No such OS template: $OSTEMPLATE"
+OST=`ost2full $OSTEMPLATE` || abort "No such OS template: $1"
 set $OST
 OSNAME=$1
 OSVER=$2

надо (тут я уже пач не буду присылать, ладно? ;))
+ В зависимости для vzpkg добавить vzrrpm44 и vzrpm44-python
+ В зависимости добавить не просто python, а python >=2.3, иначе будет
exec /usr/share/vzyum/bin/yum -c /vz/template/multik/4/i386/config/yum.conf --installroot /vz/root/503 --vps=503 update
Traceback (most recent call last):
  File "/usr/share/vzyum/bin/yum", line 27, in ?
    import yummain
  File "/usr/share/vzyum/yum-cli/yummain.py", line 24, in ?
    import cli
  File "/usr/share/vzyum/yum-cli/cli.py", line 27, in ?
    from optparse import OptionParser
ImportError: No module named optparse


правит нигде (ну или я не нашел) не написанное, что для того, что бы vzyum работал, надо иметь те темплейты, с которыми VPE создавался
гришь vzyum 503 update, а оно тебе в ответ
ERROR: No such OS template: update
А должно
ERROR: No such OS template: multik-4-i386-default
Tags: openvz, unix
Subscribe
  • Post a new comment

    Error

    default userpic

    Your IP address will be recorded 

    When you submit the form an invisible reCAPTCHA check will be performed.
    You must follow the Privacy Policy and Google Terms of use.
  • 3 comments